### Method

# Vips Buf set_static

#### Declaration [src]

    void
    vips_buf_set_static (
      VipsBuf* buf,
      char* base,
      int mx
    )

#### Description [src]

Attach the buffer to a static memory area. The buffer needs to have been initialised. The memory area needs to be at least 4 bytes long.

#### Parameters

`base`

  Type: `char*`

  The start of the memory area to use for storage.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`mx`

  Type: `int`

  The size of the storage area.